## org.apache.commons.math3.analysis.differentiation
Class JacobianFunction

    java.lang.Object
      org.apache.commons.math3.analysis.differentiation.JacobianFunction

All Implemented Interfaces:
  MultivariateMatrixFunction

    public class JacobianFunction

extends java.lang.Object
implements MultivariateMatrixFunction

Class representing the Jacobian of a multivariate vector function.

The rows iterate on the model functions while the columns iterate on the parameters; thus, the numbers of rows is equal to the dimension of the underlying function vector value and the number of columns is equal to the number of free parameters of the underlying function.

Since:
  3.1
Version:
  $Id: JacobianFunction.java 1416643 2012-12-03 19:37:14Z tn $

Field Summary
`private MultivariateDifferentiableVectorFunction` `f` Underlying vector-valued function.

Constructor Summary
`JacobianFunction(MultivariateDifferentiableVectorFunction f)` Simple constructor.

Method Summary
`double[][]` `value(double[] point)` Compute the value for the function at the given point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### f

    private final MultivariateDifferentiableVectorFunction f

  Underlying vector-valued function.

Constructor Detail

### JacobianFunction

    public JacobianFunction(MultivariateDifferentiableVectorFunction f)

  Simple constructor.

  Parameters:
    `f` - underlying vector-valued function

Method Detail

### value

    public double[][] value(double[] point)
                     throws java.lang.IllegalArgumentException

  Compute the value for the function at the given point.

  Specified by:
    `value` in interface `MultivariateMatrixFunction`
  Parameters:
    `point` - point at which the function must be evaluated
  Returns:
    function value for the given point
  Throws:
    `java.lang.IllegalArgumentException` - if points dimension is wrong

Copyright (c) 2003-2013 Apache Software Foundation